- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OSmps2osil Class Reference

The OSmps2osil Class. More...

`#include <OSmps2osil.h>`

Collaboration diagram for OSmps2osil:

[legend]
List of all members.

## Public Member Functions
| OSmps2osil (std::string mpsfilename)
| the OSmps2osil class constructor
| ~OSmps2osil ()
| the OSmps2osil class destructor
bool | createOSInstance ()
| create an OSInstance from the MPS instance representation
## Public Attributes
OSInstance * | osinstance
| osinstance is a pointer to the OSInstance object that gets created from the instance represented in MPS format
## Private Attributes
CoinMpsIO * | m_MpsData
| m_MpsData is a pointer to a CoinMpsIO object
CoinPackedMatrix * | m_CoinPackedMatrix
| m_CoinPackedMatrix is a pointer to a CoinPackedMatrix object

## Detailed Description

The OSmps2osil Class.

Author:
  Robert Fourer, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  the OSmps2osil class is used for reading an instance in MPS format and creating an OSInstance object in OSiL format

Definition at line 41 of file OSmps2osil.h.

## Constructor & Destructor Documentation

OSmps2osil::OSmps2osil | ( | std::string | mpsfilename | ) |

the OSmps2osil class constructor

Definition at line 26 of file OSmps2osil.cpp.

References m_CoinPackedMatrix, and m_MpsData.

OSmps2osil::~OSmps2osil | ( |  | ) |

the OSmps2osil class destructor

Definition at line 33 of file OSmps2osil.cpp.

References LinearConstraintCoefficients::colIdx, IntVector::el, DoubleVector::el, OSInstance::instanceData, InstanceData::linearConstraintCoefficients, m_CoinPackedMatrix, m_MpsData, osinstance, LinearConstraintCoefficients::rowIdx, LinearConstraintCoefficients::start, and LinearConstraintCoefficients::value.

## Member Function Documentation

bool OSmps2osil::createOSInstance | ( |  | ) |

create an OSInstance from the MPS instance representation

Returns:
  whether the instance is created successfully.

Definition at line 52 of file OSmps2osil.cpp.

References OSInstance::addConstraint(), OSInstance::addObjective(), OSInstance::addVariable(), SparseVector::indexes, m_CoinPackedMatrix, m_MpsData, osinstance, OSInstance::setConstraintNumber(), OSInstance::setInstanceName(), OSInstance::setLinearConstraintCoefficients(), OSInstance::setObjectiveNumber(), OSInstance::setVariableNumber(), and SparseVector::values.

Referenced by getOSiLFromMps(), main(), and solve().

## Member Data Documentation

OSInstance* OSmps2osil::osinstance

osinstance is a pointer to the OSInstance object that gets created from the instance represented in MPS format

Definition at line 60 of file OSmps2osil.h.

Referenced by createOSInstance(), getOSiLFromMps(), main(), solve(), and ~OSmps2osil().

CoinMpsIO* OSmps2osil::m_MpsData`[private]`

m_MpsData is a pointer to a CoinMpsIO object

Definition at line 63 of file OSmps2osil.h.

Referenced by createOSInstance(), OSmps2osil(), and ~OSmps2osil().

CoinPackedMatrix* OSmps2osil::m_CoinPackedMatrix`[private]`

m_CoinPackedMatrix is a pointer to a CoinPackedMatrix object

Definition at line 65 of file OSmps2osil.h.

Referenced by createOSInstance(), OSmps2osil(), and ~OSmps2osil().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSModelInterfaces/OSmps2osil.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSModelInterfaces/OSmps2osil.cpp